Armitage {GeneticsBase} | R Documentation

## Cochran-Armitage test for linear trends in proportions and frequencies

### Description

Cochran-Armitage test for linear trends in proportions and frequencies.

### Usage

    Armitage(geneSetObj, method="A")
    Armitage.default(pedObj, method="A")
    ArmitageTest(x, mem)

### Arguments

`geneSetObj` | a geneSet object
`pedObj` | a pedigree object
`method` | genotype coding method. The default is additive coding (`A`). The other two available coding methods are recessive coding (`R`) and dominant coding (`D`), respectively.
`x` | a vector of bialleleic markers coded by additive, recessive, or dominant model. Denote B as common allele and A as minor allele. additive model: x=0 – BB; x=1 – AB; x=2 – AA recessive model: x=0 – BB; x=0 – AB; x=2 – AA dominant model: x=0 – BB; x=1 – AB; x=1 – AA
`mem` | disease membership. `1` – case; `0` – control

### Value

The functions `Armitage` and `Armitage.default` return a matrix with `nMarkers` rows and 2 columns, where `nMarkers` is the number of markers. The two columns are test statistic (`stat`) and p-value (`pvalue`), respectively.
The function `ArmitageTest` returns a list of two elements:

`stat` | test statistic
`pvalue` | p-value of the test

### Note

This implementation is based on the documentation at webpage: http://linkage.rockefeller.edu/pawe3d/help/Linear-trend-test-ncp.html.

### Author(s)

Gregory Warnes <warnes@bst.rochester.edu> Ross Lazarus <ross.lazarus@channing.harvard.edu> Weiliang Qiu <stwxq@channing.harvard.edu>

### References

Gordon D, Haynes C, Blumenfeld J, Finch SJ (2005) PAWE-3D: visualizing Power for Association With Error in case/control genetic studies of complex traits. Bioinformatics 21:3935-3937.

Gordon D, Finch SJ, Nothnagel M, Ott J (2002) Power and sample size calculations for case-control genetic association tests when errors are present: application to single nucleotide polymorphisms. Hum Hered 54:22-33.

Chapman, D.G. and Nam, J.M. (1968) Asymptotic power of chi square tests for linear trends in proportions. Biometrics. 24, 315-327.

Armitage, P. (1955) Tests for linear trends in proportions and frequencies. Biometrics. 11, 375-386.

Cochran, W.G. (1954) Some methods for strengthening the common chi-squared tests. Biometrics. 10, 417-451.

### Examples

      # not significant result
      ArmitageTest(x=c(2,1,1,1,0,0,1,0,0,1), mem=c(1,1,1,1,1,0,0,0,0,0))

      # significant result
      ArmitageTest(x=c(2,2,1,1,0,0,0,0,0,0), mem=c(1,1,1,1,1,0,0,0,0,0))

[Package GeneticsBase version 1.8.0 Index]